stages:
  - deploy

# from https://docs.gitlab.com/ee/ci/pipelines/multi_project_pipelines.html
# so simple to deploy now
nixos:
  stage: deploy
  variables:
    PACKAGE_NAME: "skynet_website_2016"
    UPDATE_FLAKE: "yes"
  trigger: compsoc/skynet/nixos
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      when: on_success